@echo off
set MATLAB=C:\PROGRA~1\MATLAB\R2017b
set MATLAB_ARCH=win64
set MATLAB_BIN="C:\Program Files\MATLAB\R2017b\bin"
set ENTRYPOINT=mexFunction
set OUTDIR=.\
set LIB_NAME=MLS_getDeform_mex
set MEX_NAME=MLS_getDeform_mex
set MEX_EXT=.mexw64
call setEnv.bat
echo # Make settings for MLS_getDeform > MLS_getDeform_mex.mki
echo CC=%COMPILER%>> MLS_getDeform_mex.mki
echo CXX=%CXXCOMPILER%>> MLS_getDeform_mex.mki
echo CFLAGS=%COMPFLAGS%>> MLS_getDeform_mex.mki
echo CXXFLAGS=%CXXCOMPFLAGS%>> MLS_getDeform_mex.mki
echo OPTIMFLAGS=%OPTIMFLAGS%>> MLS_getDeform_mex.mki
echo DEBUGFLAGS=%DEBUGFLAGS%>> MLS_getDeform_mex.mki
echo LINKER=%LINKER%>> MLS_getDeform_mex.mki
echo LINKFLAGS=%LINKFLAGS%>> MLS_getDeform_mex.mki
echo LINKOPTIMFLAGS=%LINKOPTIMFLAGS%>> MLS_getDeform_mex.mki
echo LINKDEBUGFLAGS=%LINKDEBUGFLAGS%>> MLS_getDeform_mex.mki
echo MATLAB_ARCH=%MATLAB_ARCH%>> MLS_getDeform_mex.mki
echo OMPFLAGS= >> MLS_getDeform_mex.mki
echo OMPLINKFLAGS= >> MLS_getDeform_mex.mki
echo EMC_COMPILER=mingw64>> MLS_getDeform_mex.mki
echo EMC_CONFIG=optim>> MLS_getDeform_mex.mki
"C:\Program Files\MATLAB\R2017b\bin\win64\gmake" -B -f MLS_getDeform_mex.mk
